/**
  *  \file int/fusion.h
  *  \brief Interpreter: Instruction Fusion
  *
  *  (c) 2001-2021 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_INT_FUSION_H
#define PCC_V2_INT_FUSION_H

class IntBytecodeObject;

void fuseInstructions(IntBytecodeObject& bco);
void unfuseInstructions(IntBytecodeObject& bco);

#endif
